Subject: bug#50264: ca-certificate-bundle fails to build

From: Jack Hill <[email-masked]>
Date: Fri, 10 Sep 2021 12:17:01 -0400 (EDT)

On Fri, 10 Sep 2021, Ludovic Courtès wrote:

> Lars-Dominik Braun <[email-masked]> skribis:
>
>> Alright, let’s see. The command I have been using is
>>
>>     guix pack -L . -C 'zstd' -f docker -S /bin=bin python-jupyterlab bash coreutils findutils
>>
>> with . being a checkout of guix-science (same applies to `guix
>> time-machine` though). The first time it’ll fail, but the second time
>> it succeeds.  Running `guix gc` makes it fail again the first time.
>>
>> The docker-pack.tar.zst.drv used for the first build is
>> different from the second one (different hash prefix). For me it’s
>> /gnu/store/r096cm3np7hbdn853ih35h1a5l39in4s-python-jupyterlab-bash-coreutils-docker-pack.tar.zst.drv
>> the first time and
>> /gnu/store/dywspxjshfjhc07i17hkcyrlq8kn7m07-python-jupyterlab-bash-coreutils-docker-pack.tar.zst.drv
>> the second time. YMMV.
>
> Wait, you run the same command twice and it leads a different .drv?
>
> The expected behavior is that the .drv is always the same:

Just to note that I've seen this two, where I get a different derivation 
the next time that works. Apologies for not reporting it at the time. It 
always seems to happen when I'm busy with something else, and since it's 
not reproducible… If I can get it to happen to me again, I'll collect more 
information as well.

Best,
Jack